.game-card {
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 20px;
    transition: box-shadow 0.3s;
}

.game-card:hover {
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

.game-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 2px solid #f2f2f2;
    padding-bottom: 10px;
    margin-bottom: 20px;
}

.game-title h2 {
    margin: 0;
    color: #000000;
    font-size: 1.5em;
}

.game-details .detail {
    font-size: 16px;
    margin-bottom: 10px;
}

.player-section h3 {
    color: #007bff;
    margin-top: 20px;
    margin-bottom: 10px;
}

ul {
    list-style-type: none;
    padding: 0;
}

li {
    background-color: #f8f9fa;
    margin-bottom: 10px;
    padding: 10px;
    border-radius: 5px;
    border-left: 3px solid #007bff;
}

.no-players {
    color: #dc3545;
    font-style: italic;
}

.game-actions {
    text-align: right;
    margin-top: 20px;
}


.action-btn {
    padding: 10px 20px;
    margin: 5px;
    border: none;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;
}

.action-btn:hover {
    transform: translateY(-2px);
}

.start-game {
    background-color: #28a745;
}

.start-game:hover {
    background-color: #218838;
}

.end-game {
    background-color: #dc3545;
}

.end-game:hover {
    background-color: #c82333;
}

.action-btn[disabled] {
  #background-color: #6c757d;
  cursor: not-allowed;
  opacity: 0.25;
}

.action-btn:disabled:hover {
  #background-color: #6c757d;
}

.game-stats {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 10px;
}
.game-title h2 {
    margin-bottom: 10px;
}
.game-status, .game-details {
    display: flex;
    gap: 15px;
    align-items: center;
}
.game-status-detail {
    display: flex;
    align-items: center;
    gap: 15px;
}
.game-info {
    background-color: #007bff;
    color: white;
    padding: 6px 12px;
    border-radius: 8px;
    font-weight: bold;
    margin: 0 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    white-space: nowrap;
}

.game-info.playing {
    background-color: #28a745;
}
.game-body {
    padding: 10px;
    background-color: #f8f9fa;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
}

.game-details-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
}

.detail {
    background-color: white;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12);
}

.detail.round-time {
    grid-column: 1 / -1;
}

.detail .left, .detail .right {
    display: inline-block;
    vertical-align: top;
    margin-right: 10px;
}

input[type="number"] {
    padding: 5px;
    border: 1px solid #ddd;
    border-radius: 4px;
    margin-right: 5px;
}

.btn-primary {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 6px 12px;
    border-radius: 4px;
    cursor: pointer;
}

.btn-primary:hover {
    background-color: #0056b3;
}
.player-section {
    background-color: #f2f2f2;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    margin-top: 20px;
}

.player-section h3 {
    color: #333;
    margin-bottom: 10px;
}

.players-list {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.players-list li {
    background-color: #fff;
    padding: 8px 12px;
    border-radius: 4px;
    margin-bottom: 5px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    transition: background-color 0.2s ease-in-out;
}

.players-list li:hover {
    #background-color: #e9ecef;
    background-color: #d7d8d9;
}

.no-players {
    color: #6c757d;
    background-color: #e9ecef;
    text-align: center;
    padding: 10px;
    border-radius: 4px;
}

.custom-player-actions {
  text-align: left;
  margin-top: 20px;
}

.add-custom-player {
  background-color: #007bff;
}

.add-custom-player:hover {
  background-color: #0056b3;
}

.button-row {
  display: flex;
  justify-content: space-between;
}

.button-row .left-elements {
  display: flex;
  flex-grow:1;
}

.button-row .right-elements {
  display: flex;
  align-items: flex-start;
}

.player-selection{
  padding: 10px 10px;
  border-radius: 5px;
  background-color: #f2f2f2;
  margin-top: 25px;
  margin-left: 5px;
  max-height: 250px;
}

.player-selection-entry{
  color: black;
  border-radius: 5px;
  margin: 8px;
  background-color: #fff;
  list-style-type: none;
}

.player-selection-entry:hover{
  background-color: #d7d8d9;
}

.select-own-player-btn{
  background-color: darkgrey;
  #border-radius: 5px;
  margin: 10px;
}

.select-own-player-btn:hover {
  background-color: grey;
}

.scrollable{
  overflow-y: auto;
}

.select-own-player-container{
  border-radius: 5px;
  background-color: #f2f2f2;
  margin-top: 25px;
  margin-left: 5px;
  margin-right: 5px;
}

.full-width {
  flex-grow: 1;
  right: 0;
}

.input-label{
  font-size: 11px;
  color: grey;
  margin-bottom: 5px;
}

.select-own-player-container-content{
  display: flex;
  flex-direction: column;
  margin: 10px;
}

input:required:invalid {
  border-color: red;
}

.spinner-container {
  display:flex;
  flex-direction: column;
  align-items: center;
}


.spinner {
  border: 5px solid rgba(0, 0, 0, 0.1);
  border-top-color: #3498db;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  animation: spin 1s linear infinite;
  z-index: 1;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}



